// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__808CF88E_6E5A_11D2_8455_00105A17BC83__INCLUDED_)
#define AFX_MAINFRM_H__808CF88E_6E5A_11D2_8455_00105A17BC83__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CToolTipCtrl m_ToolTip;

// Operations
public:

	void DestroyGridData();
	void CreateGridData();
	void ShowGrid();
	void HideGrid();
	void SetGridLocation();

		LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members

// Generated message map functions
protected:
	afx_msg void OnInitMenu(CMenu* pMenu);

	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnGridToggle();
	afx_msg void OnClose();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnEditSubsystems();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnViewOverviewwindowHeightfield();
	afx_msg void OnViewOverviewwindowSlopemap();
	afx_msg void OnViewOverviewwindowTexture();
	afx_msg void OnUpdateViewOverviewwindowHeightfield(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewOverviewwindowSlopemap(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewOverviewwindowTexture(CCmdUI* pCmdUI);
	afx_msg void OnToolsShowgrid();
	afx_msg void OnUpdateToolsShowgrid(CCmdUI* pCmdUI);
	afx_msg void OnViewGridproperties();
	afx_msg void OnToolsResetmissionbounds();
	afx_msg void OnEditRotateselection90cw();
	afx_msg void OnEditRotateselection90ccw();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__808CF88E_6E5A_11D2_8455_00105A17BC83__INCLUDED_)
